All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
matrix_vector_int.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/lu.hpp"`
`#include "viennacl/linalg/sum.hpp"`

Go to the source code of this file.

## Functions

template<typename ScalarType >
ScalarType | diff (ScalarType &s1, viennacl::scalar< ScalarType > &s2)
template<typename ScalarType , typename VCLVectorType >
ScalarType | diff (std::vector< ScalarType > const &v1, VCLVectorType const &v2)
template<typename NumericT , typename VCLMatrixType >
NumericT | diff (std::vector< std::vector< NumericT > > const &mat1, VCLMatrixType const &mat2)
template<typename NumericT , typename STLMatrixType , typename STLVectorType , typename VCLMatrixType , typename VCLVectorType1 , typename VCLVectorType2 >
int | test_prod_rank1 (STLMatrixType &std_m1, STLVectorType &std_v1, STLVectorType &std_v2, VCLMatrixType &vcl_m1, VCLVectorType1 &vcl_v1, VCLVectorType2 &vcl_v2)
template<typename NumericT , typename F >
int | test ()
int | main ()

## Detailed Description

Tests routines for matrix-vector operaions (BLAS level 2) using integer arithmetic.

Test:
  Tests routines for matrix-vector operaions (BLAS level 2) using integer arithmetic.

Definition in file matrix_vector_int.cpp.

## Function Documentation

template<typename ScalarType >

ScalarType diff | ( | ScalarType & | s1,
|  | viennacl::scalar< ScalarType > & | s2
| ) |  |

Definition at line 46 of file matrix_vector_int.cpp.

template<typename ScalarType , typename VCLVectorType >

ScalarType diff | ( | std::vector< ScalarType > const & | v1,
|  | VCLVectorType const & | v2
| ) |  |

Definition at line 55 of file matrix_vector_int.cpp.

template<typename NumericT , typename VCLMatrixType >

NumericT diff | ( | std::vector< std::vector< NumericT > > const & | mat1,
|  | VCLMatrixType const & | mat2
| ) |  |

Definition at line 71 of file matrix_vector_int.cpp.

int main | ( |  | ) |

Definition at line 822 of file matrix_vector_int.cpp.

template<typename NumericT , typename F >

int test | ( |  | ) |

Definition at line 315 of file matrix_vector_int.cpp.

template<typename NumericT , typename STLMatrixType , typename STLVectorType , typename VCLMatrixType , typename VCLVectorType1 , typename VCLVectorType2 >

int test_prod_rank1 | ( | STLMatrixType & | std_m1,
|  | STLVectorType & | std_v1,
|  | STLVectorType & | std_v2,
|  | VCLMatrixType & | vcl_m1,
|  | VCLVectorType1 & | vcl_v1,
|  | VCLVectorType2 & | vcl_v2
| ) |  |

Definition at line 95 of file matrix_vector_int.cpp.